<?php

namespace App\Entity;

use App\Repository\CommentaireRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Table(name: "commentaire")]
#[ORM\Entity(repositoryClass: CommentaireRepository::class)]
class Commentaire
{
    #[ORM\Column(name: "id", type: "integer")]
    #[ORM\Id]
    #[ORM\GeneratedValue(strategy: "AUTO")]

    private $id;

    #[ORM\Column(name: "contenu", type: "text", length: 191, nullable: true)]
    private $contenu;

    #[ORM\Column(name: "note", type: "integer", nullable: true)]

    private $note;

    #[ORM\ManyToOne(targetEntity: Film::class, inversedBy: "commentaires")]
    #[ORM\JoinColumn(nullable: false)]

    private $film;

    #[ORM\ManyToOne(targetEntity: User::class)]
    #[ORM\JoinColumn(nullable: false)]

    private $user;

    #[ORM\Column(type: "datetime", nullable: true)]
    private $dateSubmitted;

    public function __construct ()
    {
        $this->dateSubmitted = new \DateTime('now');
    }

    public function getId()
    {
        return $this->id;
    }

    public function setContenu($contenu)
    {
        $this->contenu = $contenu;

        return $this;
    }

    public function getContenu()
    {
        return $this->contenu;
    }

    public function getNote()
    {
        return $this->note;
    }

    public function setNote($note)
    {
        $this->note = $note;
    }

    public function setFilm(\App\Entity\Film $film)
    {
        $this->film = $film;

        return $this;
    }

    public function getFilm()
    {
        return $this->film;
    }

    public function setUser(\App\Entity\User $user)
    {
        $this->user = $user;

        return $this;
    }

    public function getUser()
    {
        return $this->user;
    }

    public function getDateSubmitted(): ?\DateTimeInterface
    {
        return $this->dateSubmitted;
    }

    public function setDateSubmitted(?\DateTimeInterface $dateSubmitted): self
    {
        $this->dateSubmitted = $dateSubmitted;

        return $this;
    }
}
